[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Bug#368435: tasksel: fails to upgrade with aptitude dist-upgrade

Package: tasksel
Version: 2.45
Severity: normal

tasksel package fails to upgrade with "aptitude dist-upgrade",
I have following output:

The following NEW packages will be automatically installed:
  libparted1.7-0 tasksel-data 
The following packages have been kept back:
  libdpkg-ruby1.8 python-2play 
The following NEW packages will be installed:
  libparted1.7-0 tasksel-data 
The following packages will be upgraded:
  alsa-utils cvs eject hddtemp initscripts libefs-dev libefs1 libfreetype6 libfreetype6-dev 
  linkchecker login parted passwd sysv-rc sysvinit tasksel tcpdump zsh 
The following packages are RECOMMENDED but will NOT be installed:
18 packages upgraded, 2 newly installed, 0 to remove and 2 not upgraded.
Need to get 8981kB of archives. After unpacking 1323kB will be used.
Do you want to continue? [Y/n/?]
Selecting previously deselected package tasksel-data.
(Reading database ... 75810 files and directories currently installed.)
Unpacking tasksel-data (from .../tasksel-data_2.45_all.deb) ...
dpkg: error processing /var/cache/apt/archives/tasksel-data_2.45_all.deb (--unpack):
 trying to overwrite `/usr/share/tasksel/debian-tasks.desc', which is also in package tasksel
dpkg-deb: subprocess paste killed by signal (Broken pipe)
Preparing to replace tasksel 2.44 (using .../archives/tasksel_2.45_all.deb) ...
Unpacking replacement tasksel ...
dpkg: dependency problems prevent configuration of tasksel:
 tasksel depends on tasksel-data; however:
  Package tasksel-data is not installed.
dpkg: error processing tasksel (--configure):
 dependency problems - leaving unconfigured

After dist-upgrade, if I run "aptitude install tasksel-data", all is ok
(both tasksel and tasksel-data packages)

-- System Information:
Debian Release: testing/unstable
  APT prefers unstable
  APT policy: (990, 'unstable')
Architecture: i386 (i686)
Shell:  /bin/sh linked to /bin/bash
Kernel: Linux
Locale: LANG=fr_FR, LC_CTYPE=fr_FR (charmap=ISO-8859-1)

Versions of packages tasksel depends on:
ii  aptitude                      0.4.1-1    terminal-based apt frontend
ii  debconf [debconf-2.0]         1.5.1      Debian configuration management sy
ii  laptop-detect                 0.12.1     attempt to detect a laptop
ii  liblocale-gettext-perl        1.05-1     Using libc functions for internati
ii  tasksel-data                  2.45       Official tasks used for installati

tasksel recommends no packages.

-- debconf information:

Reply to: